@charset "UTF-8";
/* CSS Document */

* {
	margin: 0;
	padding: 0;
	}

body{
	margin: 0px;
	padding: 0px;
	background-color:#F0F0F0;
}

section{
	margin: 0px;
	padding: 0px;
}

header {
	width: 100%;
	position: absolute;
	z-index: 1002;
	left: 0px;
	right: 0px;
	background-color: rgba(255,255,255,0.60);
	box-shadow: 0.1vh 0.1vh 0.2vh 0.2vh rgba(80,80,80,0.5);
	
}
.logo{
	margin-top: 0.7vw;
	display: flex;
	justify-content: center;
	align-items: center;
	height: 7vw;
}

.logo img{
	width: 100%;
}


main{
	margin: 0px;
	padding: 0px;
}


/*------------------navigation-------------------------*/




.snap {
	overflow-y: scroll;
	scroll-snap-type: y proximity;
	scroll-behavior: smooth;
}
/*
section{
	scroll-snap-align: start;
}
*/
nav{
	margin: 0.2vw;
	position: fixed;
	transition: all 0.4s;
	height: 99.5vh;
	z-index: 999;
}

.navigation{
	z-index: 999;
	
}

nav ul{
	display: flex;
	height: 99.5vh;
	/*flex: 1;*/
	flex-direction: column;
	width: 100%;
	/*justify-content: space-between;*/
	font-size: 1.5vw;
	font-family: "bryant-web", sans-serif;
	font-weight: 400;
}

nav ul li{
	list-style: none;
	width: 100%;
	display: flex;
	align-items: center;
	transition: all 0.5s;

	
}

nav ul li.show{
	background-color: rgba(255,255,255,0.75);
	box-shadow: 0.1vh 0.1vh 0.2vh 0.2vh rgba(80,80,80,0.5);
}

nav ul li a:link{
	text-decoration: none;
	color: #FFFFFF;
	-webkit-text-stroke-width: 0.05vw;
	-webkit-text-stroke-color: black;
	-webkit-text-fill-color: black;
}
nav ul li a img{
	height: 3vw;
}

nav ul li.menueactive {
	color: #fff;
	font-size: 2.5vw;
	flex-grow: 1;
}

.menuesocialmedialink{
	margin-top: 0.3vw;
	margin-left: 0.5vw;
	margin-right: 0.5vw;
	margin-bottom: 0.2vw;
}

nav button{
	display: none;
	height: 10vw;
	width: 10vw;
	margin: 2vw;
}

.overlay{
	display: none;
}

@media screen and (orientation: portrait){
	.nav-menue{
		display: none;
	}
	nav button{
		display: block;
	}
	
	nav ul li a img{
		height: 15vw;
		margin: 0vw;
	}
	
	nav ul{
		list-style: none;
		padding: 0;
		position: fixed;
		margin: 5vw;
		background-color: rgba(255,255,255,0.75);
		box-shadow: 0.1vh 0.1vh 0.2vh 0.2vh rgba(80,80,80,0.5);
		width: 90vw;
		height: 80%;
		display: flex;
		flex-direction: column;
		justify-content: center;
		font-size: 8vw;
		
		
	}
	
	nav ul li{
		margin-bottom: 0.1vw;
		justify-content: center;
	}
	.menuesocialmedialink{
		margin-top: 0.3vw;
		margin-left: 0.5vw;
		margin-right: 0.5vw;
		margin-bottom: 0vw;
	}
}


/*------------------landing-------------------------*/
.landing {
	height: 100vh;
	z-index: 1001;
}

.landing .video{
	position: relative;
	display: block;
	z-index: 1001;
}
.landing .video video{
	display: block;
	width: 100%;
	height: 100vh;
	object-fit: cover;
	z-index: 1001;
}


.landing .text-overlay{
		position: absolute;
 	top: 0%;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #fff;
	-webkit-text-stroke-width: 0.05vw;
  -webkit-text-stroke-color: black;
  -webkit-text-fill-color: white;
	text-align: center;
	
	font-size: 4vw;
	font-family: "bryant-web", sans-serif;
	font-weight: 400;
	z-index: 1002;
}

@media screen and (orientation: portrait){
	.landing .video{
		display: none;
	}
	.landing{
		background-image: url("images/landing.jpg");
		background-size: cover;
		background-position: center;
	}
}

/*------------------concept-------------------------*/

.concept{
	background-image: url("images/conceptbackground.JPG");
	background-size: cover;
	background-position: center;
	padding: 10vw;
	
	position: relative;
	isolation: isolate;
}

.concept ::after{
	content: '';
	position: absolute;
	inset: 0;
	background-color: white;
	opacity: 0.25;
	z-index: -1;
}

.skizzenpapiera, .skizzenpapierb{
	box-shadow: 0.1vh 0.1vh 0.2vh 0.2vh rgba(80,80,80,0.5);
	background-color: rgba(255,255,255,0.75);
	width: 80vw;
	margin-left: 4vw;
}

.skizzenpapiera{
	margin-bottom: 10vw;
}

.skizzenpapiera img, .skizzenpapierb img{
	width: 80vw;
}

@media screen and (orientation: portrait){
	.concept{
		padding: 2vw;
	}
	.skizzenpapiera, .skizzenpapierb{
		width: 95vw;
		margin-left: 0vw;
	}
	.skizzenpapiera img, .skizzenpapierb img{
		width: 95vw;
	}
}

/*------------------samples-------------------------*/



.samples{
	scroll-snap-align: start;
	width: 100%;
	margin: 0px;
	padding: 0px;
}
.aussen {
	display: flex;
	justify-content: center;
	align-items: center;
}

.box {
	position: relative;
	width: 100%;
	height: 100vh;
}

.img-slide {
	position: absolute;
	width: 100%;
	height: 100vh;
	object-fit: cover;
	box-shadow: blur-radius: 10px;
	opacity: 0;
	transition: 800ms opacity ease-in-out;
}

.img-slide.active {
	opacity: 1;
	transition: 800ms opacity ease-in-out;
}


.samplenext, .sampleprev{
	width: 5vw;
	position: absolute;
	z-index: 10;
	top: 90%;
	color: rgba(0,0,0,0.8);
	cursor: pointer;
	font-size: 3vw;
	border: none;
	background-color: rgba(255,255,255,0.6);
	box-shadow: 0.1vh 0.1vh 0.2vh 0.2vh rgba(80,80,80,0.5);
}

.samplenext{
	right: 42vw;
}
.sampleprev{
	left: 42vw;
}

.samplenext:hover,
.sampleprev:hover{
	background-color: rgba(255,255,255,0.4);
}

@media screen and (orientation: portrait){
	.img-slide{
		object-fit: contain;
	}
}

/*---------------videos-------------------------*/

.videos{
	position: relative;
	margin: 5vw;
	padding-left: 9vw;
	background-image: url("images/YTlogo.svg");
	background-position: center;
	background-repeat: no-repeat;
}

.videos .Conceptvideo{
	position: relative;
	width: 80vw;
	height: 45vw;
	box-shadow: 0.1vh 0.1vh 0.2vh 0.2vh rgba(80,80,80,0.5);
	background-color: rgba(255,255,255,0.75);
	display: flex;
		justify-content: center;
  align-items: center;
}

.videos .Conceptvideo .responsiveiframe{
	position: absolute;
	width: 100%;
	height: 100%;
}

.videos .Conceptvideo p{

  	color: black;
	text-align: center;
	
	font-size: 2vw;
	font-family: "bryant-web", sans-serif;
	font-weight: 400;
}

@media screen and (orientation: portrait){
	.videos{
		margin: 0vw;
		padding: 2.5vw;
	}
	.videos .Conceptvideo{
		width: 95vw;
		hight: 55vw;
	}
}

/*---------------modles--------------------------*/

.models{
	font-family: "bryant-web", sans-serif;
	font-weight: 400;
	font-size: 0.6em;
	padding-left: 12vw;
	padding-right: 1.5vw;
	margin-top: 2vw;
	height: 85vw;
}
.gallery-container {
    overflow-x: scroll;
    white-space: nowrap;
}

.folders {
    display: flex;
	height: 25vw;
}

.folder {
    cursor: pointer;
	background-color: rgba(255,255,255,0.6);
	box-shadow: 0.1vh 0.1vh 0.2vh 0.2vh rgba(80,80,80,0.5);
	margin: 0.3vh;
	width: 20vw;
	height: 20vw;
}

.folder img{
	width: 20vw;
	height: 20vw;
}


.main-display {
    text-align: center;
    margin-top: 20px;
}

.folder.open {
    background-color: #e0e0e0; /* Change the color as needed */
}

#main-image {
    width: 70vw;
    max-height: 70vw;
	background-color: rgba(255,255,255,0.6);
	box-shadow: 0.1vh 0.1vh 0.2vh 0.2vh rgba(80,80,80,0.5);
}

#image-description {
    margin-top: 10px;
	font-size: 2vw;
	font-family: "bryant-web", sans-serif;
	font-weight: 400;
	
}

#default-main-image{
	display: none;
}

.image-buttons {
    margin-top: 10px;
}

.prev-button,
.next-button {
    padding: 8px 16px;
    margin: 0 5px;
    cursor: pointer;
	font-family: "bryant-web", sans-serif;
	font-weight: 400;
}

@media screen and (orientation: portrait){
	.models{
		padding-left: 2.5vw;
		height: 105vw;
	}
	
	#main-image{
		width: 95vw;
		max-height: 95vw;
	}
}

/*------------------contact-------------------------*/

.contact{
}
.contact form{
}
button{
	/*z-index: 40000;*/
}

.elem-group{
	/*position: absolute;*/
}

.contact #messageorder{
	position: absolute;
	top: 0.5vw;
	left: 10vw;
	font-family: "bryant-web", sans-serif;
	font-weight: 400;
	font-size: 1em;
	
}

.contactform #firstname{
	position: absolute;
	top: 10vw;
	left: 34vw;
	width: 15vw;
}

.contactform #lastname{
	position: absolute;
	top: 10vw;
	left: 50vw;
	width: 15vw;
}

.contactform #email{
	position: absolute;
	top: 20vw;
	left: 39vw;
	width: 15vw;
}

.contactform #phone{
	position: absolute;
	top: 28vw;
	left: 47vw;
	width: 15vw;
}

.contactform #email-title{
	position: absolute;
	top: 36vw;
	left: 30vw;
	width: 15vw;
}

.contactform #model{
	position: absolute;
	top: 45vw;
	left: 17vw;
	width: 15vw;
}

.contactform #message{
	position: absolute;
	top: 60vw;
	left: 22vw;
	width: 30vw;
	height: 15vw;
}

.contactform #messagebutton{
	position: absolute;
	top: 44vw;
	left: 45vw;
	width: 10vw;
}

.contactform{
	position: relative;
	background-image: url("images/Zeichnung_Kontaktfeld.svg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: contain;
	width: 86vw;
	height: 80vw;
	margin: 5vw;
	margin-left: 12vw;
	background-color: rgba(255,255,255,0.6);
	box-shadow: 0.1vh 0.1vh 0.2vh 0.2vh rgba(80,80,80,0.5);

}

@media screen and (orientation: portrait){
	.contactform{
		margin:2.5vw;
		width: 95vw;
		font-size: 0.8em;
	}
	.contactform form input{
		font-size: 0.5em;
	}
	.contactform form select{
		font-size: 0.5em;
	}
	.contactform form textarea{
		font-size: 0.5em;
	}
	.contactform form button{
		font-size: 0.5em;
	}
	.contact #messageorder{
		left: 15vw;
	}

	.contactform #firstname{
		left: 40vw;
		width: 15vw;
	}

	.contactform #lastname{
		left: 60vw;
	}

	.contactform #email{
		left: 45vw;
	}

	.contactform #phone{
		left: 52vw;
	}

	.contactform #email-title{
		left: 35vw;
	}

	.contactform #model{
		left: 22vw;
	}

	.contactform #message{
		left: 22vw;
		width: 40vw;
		height: 15vw;
	}

	.contactform #messagebutton{
		top: 42vw;
		left: 48vw;
		width: 12vw;
	}
	
	.contact #messageorder{
	font-size: 0.8em;
	}

}


/*------------------------Impressum---------------------*/

.impressum{
	background-color: black;
	font-family: "bryant-web", sans-serif;
	font-weight: 400;
	color: white;
	
	height: 100vh;
	width: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	
}

.impressum img{
	height: 10vh;
	width: 50vw;
}
/*--

Zum Einfügen von Schriften:

Bryant Light
font-family: "bryant-web", sans-serif;
font-weight: 300;
font-style: normal;

Bryant Regular
font-family: "bryant-web", sans-serif;
font-weight: 400;
font-style: normal;

Bryant Medium
font-family: "bryant-web", sans-serif;
font-weight: 500;
font-style: normal;

Bryant Bold
font-family: "bryant-web", sans-serif;
font-weight: 700;
font-style: normal;

--*/
